# API

```{eval-rst}
.. module:: mofaflex
```

```{eval-rst}
.. currentmodule:: mofaflex

.. toctree::
    :hidden:

    core.md
    tools.md
    plotting.md
```

## Core

```{eval-rst}
.. autosummary::

    DataOptions
    ModelOptions
    TrainingOptions
    SmoothOptions
    MOFAFLEX
    FeatureSet
    FeatureSets
```

### Presets

```{eval-rst}
.. automodule:: mofaflex.presets
   :no-index:
```

### Settings

An instance of the [](#_core.settings.Settings) class is available as `mofaflex.settings` and allows configuring MOFA-FLEX.

```{eval-rst}
.. currentmodule:: mofaflex
.. autosummary::

    _core.settings.Settings
```

## Tools

```{eval-rst}
.. automodsumm:: mofaflex.tl
```

## Plotting

```{eval-rst}
.. automodsumm:: mofaflex.pl
```
